# Generated from pretzel-accounts-0.1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pretzel-accounts

Name: rubygem-%{gem_name}
Version: 0.1.2
Release: 1%{?dist}
Summary: An accounts system for the Pretzel development suite
License: MIT
URL: http://github.com/pretzelhands/accounts
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rack-test) >= 0.6
# BuildRequires: rubygem(rack-test) < 1
# BuildRequires: rubygem(minitest) >= 5.5
# BuildRequires: rubygem(minitest) < 6
BuildArch: noarch

%description
An accounts system for the Pretzel development suite.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%{gem_instdir}/pretzel.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.2-1
- Initial package
